PaWinDirectSoundStreamInfo Struct Reference

## Data Fields

unsigned long | size
PaHostApiTypeId | hostApiType
unsigned long | version
unsigned long | flags
unsigned long | framesPerBuffer
PaWinWaveFormatChannelMask | channelMask

## Detailed Description

Definition at line 59 of file pa_win_ds.h.

## Field Documentation

## channelMask

PaWinWaveFormatChannelMask PaWinDirectSoundStreamInfo::channelMask

support for WAVEFORMATEXTENSIBLE channel masks. If flags contains paWinDirectSoundUseChannelMask this allows you to specify which speakers to address in a multichannel stream. Constants for channelMask are specified in pa_win_waveformat.h

Definition at line 85 of file pa_win_ds.h.

## flags

unsigned long PaWinDirectSoundStreamInfo::flags

enable other features of this struct

Definition at line 64 of file pa_win_ds.h.

## framesPerBuffer

unsigned long PaWinDirectSoundStreamInfo::framesPerBuffer

low-level latency setting support Sets the size of the DirectSound host buffer. When flags contains the paWinDirectSoundUseLowLevelLatencyParameters this size will be used instead of interpreting the generic latency parameters to Pa_OpenStream(). If the flag is not set this value is ignored.

If the stream is a full duplex stream the implementation requires that the values of framesPerBuffer for input and output match (if both are specified).

Definition at line 76 of file pa_win_ds.h.

## hostApiType

PaHostApiTypeId PaWinDirectSoundStreamInfo::hostApiType

paDirectSound

Definition at line 61 of file pa_win_ds.h.

## size

unsigned long PaWinDirectSoundStreamInfo::size

sizeof(PaWinDirectSoundStreamInfo)

Definition at line 60 of file pa_win_ds.h.

## version

unsigned long PaWinDirectSoundStreamInfo::version

2

Definition at line 62 of file pa_win_ds.h.

The documentation for this struct was generated from the following file:

- pa_win_ds.h